#include<Mouse.h>

const int mouseLbtn=4; // 좌 클릭
const int mouseMbtn=5; // 휠 클릭
const int mouseRbtn=6; // 우 클릭
const int cXPos = 0;
const int cYPos = 1;

void setup() 
{  
  Mouse.begin(); //마우스 컨트롤 시작
  pinMode(mouseLbtn,INPUT_PULLUP);
  pinMode(mouseMbtn,INPUT_PULLUP);
  pinMode(mouseRbtn,INPUT_PULLUP);
}

void loop() 
{
  int xPos = analogRead(cXPos);                  
  int yPos = analogRead(cYPos);
  int pushLBtn = digitalRead(mouseLbtn); // 좌 클릭
  int pushMBtn = digitalRead(mouseMbtn); // 휠 클릭
  int pushRBtn = digitalRead(mouseRbtn); // 우 클릭

  delay(3);
  
  if(550<xPos)
  { 
    Mouse.move(0,1);
  }
  else if(xPos<450)
  {
    Mouse.move(0,-1);
  }
  
  if(550<yPos)
  {
    Mouse.move(-1,0);
  }
  else if(yPos<450)
  {
    Mouse.move(1,0);
  }

  if(pushLBtn == 0)
  {
    Mouse.press(MOUSE_LEFT);
  }
  if(pushLBtn == 1)
  {
    Mouse.release(MOUSE_LEFT);
  }

  if(pushMBtn == 0)
  {
    Mouse.press(MOUSE_MIDDLE);
  }
  if(pushMBtn == 1)
  {
    Mouse.release(MOUSE_MIDDLE);
  }

  if(pushRBtn == 0)
  {
    Mouse.press(MOUSE_RIGHT);
  }
  if(pushRBtn == 1)
  {
    Mouse.release(MOUSE_RIGHT);
  }
}
